# Ultra Analytics

Data collection library for internal analytics system of Ultra.

## Installation

Add this line to your application's Gemfile:

    gem 'ultra_analytics'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ultra_analytics

## Usage

Configure API host and App ID for your application:

    # In config/initializers/ultra_analytics.rb:

    UltraAnalytics.config do |config|
      config.host = 'http://analytics.ultracaption.net'
      config.app_id = 'yourfriends-alpha'
    end

Add `UltraAnalytics.collect_user` and `UltraAnalytics.collect_event` method
where they are appropriate:

    # In app/controllers/users_controller.rb:

    def create
      @user = User.new params[:user]

      @user.save!

      UltraAnalytics.collect_user(@user.id, @user.created_at)
    end

    # In app/controllers/posts_controller.rb:

    def show
      @post = Post.find params[:id]

      UltraAnalytics.collect_event('show', current_user.id)
    end

## Contributing

1. Ask maintainers for write permission if you do not have it.
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
