require 'ultra_analytics/version'
require 'ultra_analytics/configuration'

module UltraAnalytics
  def self.config
    UltraAnalytics::Configuration.instance.tap do |config|
      yield(config) if block_given?
    end
  end

  def self.collect_event(event, user_id, created_at = DateTime.current)
    HTTParty.post "#{config.host}/apps/#{config.app_id}/events", body: { event: event, user_id: user_id, timestamp: created_at.as_json.to_s }
  end

  def self.collect_user(user_id, registered_at)
    HTTParty.put "#{config.host}/apps/#{config.app_id}/users/#{user_id}", body: { user_id: user_id, registered_at: registered_at.as_json.to_s }
  end
end
